<script>
import Vue from 'vue';
import { SlpColumn } from '../common/index.vue';

export default Vue.extend({
  components: {
    SlpColumn,
  },
  props: {
    data: {
      type: Object,
      default: null,
      required: false,
    },
  },
});
</script>

<template>
  <SlpRow
    class="slp-flex slp-flex-column slp-align-items-center"
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
  >
    <SlpColumn :cols="data.column_size || 12">
      <div class="container">
        <div class="container__block">
          <h2>{{ data.header }}</h2>
          <div>
            <div
              v-if="data.text"
              class="container__block-text"
              v-html="$md.render(data.text)"
            ></div>
            <SlpLink :href="data.link_url" :arrow="true">Learn more</SlpLink>
          </div>
        </div>
      </div>
    </SlpColumn>
  </SlpRow>
</template>

<style lang="scss" scoped>
.container {
  position: relative;
  z-index: 5;
  margin-top: $spacing-160;
  margin-bottom: $spacing-160;

  &::after {
    content: '';
    position: absolute;
    background: #f2f2f2;
    border-radius: 4px;
    z-index: -1;
    width: 100%;
    height: 100%;
    top: $spacing-24;
    right: -24px;
  }

  @media (max-width: $breakpoint-md) {
    &::after {
      right: -8px;
      top: $spacing-8;
    }
  }

  &__block {
    background: $color-surface-50;
    border: 1px solid #f2f2f2;
    border-radius: 4px;
    padding: $spacing-48 $spacing-24 $spacing-48 $spacing-48;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;

    h2 {
      font-size: $text-heading-3;
      line-height: $line-height-heading-3;
      margin-top: 0;
      width: 48%;

      @media (max-width: $breakpoint-md) {
        width: 100%;
        margin-bottom: $spacing-16;
      }
    }

    & > div {
      width: 48%;

      @media (max-width: $breakpoint-md) {
        width: 100%;
        margin-bottom: $spacing-32;
      }
    }
  }

  &__block-text {
    font-size: $text-heading-5;
    line-height: $line-height-heading-5;
    margin-bottom: $spacing-32;
  }
}
</style>
